## org.apache.poi.hssf.record
Class RecalcIdRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.RecalcIdRecord

    public final class RecalcIdRecord

extends StandardRecord

Title: Recalc Id Record (0x01C1)

Description: This record contains an ID that marks when a worksheet was last recalculated. It's an optimization Excel uses to determine if it needs to recalculate the spreadsheet when it's opened. So far, only the two engine ids `0x80 0x38 0x01 0x00` and `0x60 0x69 0x01 0x00` have been seen. A value of `0x00` will cause Excel to recalculate all formulas on the next load.

REFERENCE: http://chicago.sourceforge.net/devel/docs/excel/biff8.html

Author:
  Luc Girardin (luc dot girardin at macrofocus dot com)

Field Summary
`static short` `sid`

Constructor Summary
`RecalcIdRecord()`
`RecalcIdRecord(RecordInputStream in)`

Method Summary
`protected int` `getDataSize()`
`int` `getEngineId()`
`short` `getSid()` return the non static version of the id for this record.
`boolean` `isNeeded()`
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setEngineId(int val)`
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### RecalcIdRecord

    public RecalcIdRecord()

### RecalcIdRecord

    public RecalcIdRecord(RecordInputStream in)

Method Detail

### isNeeded

    public boolean isNeeded()

### setEngineId

    public void setEngineId(int val)

### getEngineId

    public int getEngineId()

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.